//]]>-->

oppdatering

Har du noe lurt å dele med oss? NB. Dette er ikke et support forum.

oppdatering

Innleggav Philip67 » ons 19.05.2010 13:24

Hei.
Jeg lurer på om hvor ofte må man oppdatere systemet?
Hverdag,hver uke eller måned?

Brukerens avatar
medlem i 116 måneder
 

Re: oppdatering

Innleggav thelonelywolf » ons 19.05.2010 14:03

Hei
Eg kjøre update hver dag ( automatisk ) på mine pc-er. Men andre kjøre hver uke. Mi mening er at jo mere du bruke pc-en, så hyppigere bør en oppdate systemet.
Men det er jo en smaksak, som alt annet.
medlem i 130 måneder
 

Re: oppdatering

Innleggav terjejh » ons 19.05.2010 14:13

På SUSE setter jeg opp Online oppdatering under YaST>Programvare til å sjekke daglig etter oppdateringer. Da varsler systemet når sikkerhetsfikser og anbefalte fikser foreligger og jeg legger dem inn ved første anledning (kan også velge automatisk for en arbeidsstasjon). Slike fikser kan komme hyppig eller med lengre tidsrom, alt etter som.

Andre programoppdateringer til nyere versjoner er en annen sak. Det er opp til en selv om man vil oppdatere disse fra STABLE eller fra UNSTABLE (beta) pakkebrønner. Ofte tester jeg av egeninteresse tidlige versjoner, eks. som f.t. Firefox 3.6.4 og OpenOffice 3.2.1 fra OBS (Build service).

Erfaren
Brukerens avatar
medlem i 162 måneder
 

Re: oppdatering

Innleggav Tertitten » ons 19.05.2010 15:33

det er vel strengt tatt opp til deg selv..

Personlig om jeg bruker en distribusjon som ikke har en rolling release og ikke er bleeding edge så velger jeg nok å oppdatere ca hver tredje dag..

På bleeding edge distribusjoner er jeg litt mer selektiv, sikkerhetsoppdateringer gjør jeg vel når de er tilgjengelige, mens oppdatering av kernel, generell software osv oppdaterer jeg muligens en gang i uken.

Jeg ser også an hvilke repo jeg har aktivert, har jeg kun repos som er ansett som stabile aktivert oppdaterer jeg muligens en gang i uken, har jeg andre repos, f.eks daily builds osv oppdaterer jeg oftere.

Brukerens avatar
medlem i 119 måneder
 

Re: oppdatering

Innleggav Philip67 » ons 19.05.2010 20:06

Hvordan må jeg oppdatere kernel?

Brukerens avatar
medlem i 116 måneder
 

Re: oppdatering

Innleggav josi » tor 20.05.2010 0:51

Du oppdaterer kjerne og andre program på samme måte: Når yast gir deg beskjed om at det er kommet nye oppdateringer, trykker du ok/fortsett... Resten går av seg selv. Du trenger ikke bestemme deg for noen fast oppdateringsfrekvens heller. Oppdater når OS ber deg oppdatere.

Jeg forutsetter at det er snakk om en vanlig gui-basert skrivebordsmaskin. Er det derimot snakk om en tjener så må du nok selv aktivt velge å oppdatere, om du ikke har laget et skript som gjør jobben.

PS! Mulig suse ikke gir veldig tydelig beskjed om at det er nye oppdateringer? Men du har vel et grønt ikon i systemtrauet som indikerer det?

Brukerens avatar
medlem i 150 måneder
 

Re: oppdatering

Innleggav moma » tor 20.05.2010 8:55

Linux-systemer har ofte flere versjoner av kjerner liggende i /boot katalogen. F.eks denne utlistingen er fra min gamle Ubuntu-installasjon. Den inneholder kjernene 2.6.31-17, 19 og 20. Det er den siste kjernen jeg kjører daglig.
Kode: Merk alt
$ ls -l /boot
-rw-r--r-- 1 root root  105768 2009-12-10 20:13 config-2.6.31-17-generic
-rw-r--r-- 1 root root  105768 2010-01-28 05:47 config-2.6.31-19-generic
-rw-r--r-- 1 root root  105779 2010-03-12 07:45 config-2.6.31-20-generic
-rw-r--r-- 1 root root 8112694 2010-01-29 10:41 initrd.img-2.6.31-17-generic
-rw-r--r-- 1 root root 8112550 2010-02-05 14:01 initrd.img-2.6.31-19-generic
-rw-r--r-- 1 root root 8117588 2010-03-19 12:16 initrd.img-2.6.31-20-generic
-rw-r--r-- 1 root root 2131816 2009-12-10 20:13 System.map-2.6.31-17-generic
-rw-r--r-- 1 root root 2131925 2010-01-28 05:47 System.map-2.6.31-19-generic
-rw-r--r-- 1 root root 2133277 2010-03-12 07:45 System.map-2.6.31-20-generic
-rw-r--r-- 1 root root 3943008 2009-12-10 20:13 vmlinuz-2.6.31-17-generic
-rw-r--r-- 1 root root 3942624 2010-01-28 05:47 vmlinuz-2.6.31-19-generic
-rw-r--r-- 1 root root 3947008 2010-03-12 07:45 vmlinuz-2.6.31-20-generic

Utlistingen kan også vise andre filer. Det er vel vmlinuz som er selve kjernen. De andre er støttefiler som behøves ved oppstart. Config-* filen er en tekstfil som viser konfigurasjonen til kjernen, altså hvilke egenskaper og drivere den er kompilert med. Du vil trenge denne hvis du kompilerer kjernen manuelt :-P

Mindre oppdateringer av kjernen blir ofte gjort uten at versjonsnummeret endres. Altså systemet vil bare nedlaste og overskrive din eksisterende kjernen. Den tas i bruk ved neste boot (oppstart). Oppdateringsprosessen vil si i fra hvis maskinen må omstartes.

Men ofte blir også versjonsnummeret økt. Da får du en ny kjerne i /boot katalogen. Sjekk din /boot katalog med ls -l /boot kommando.

Du får også et nytt menyvalg i din GRUB-meny (oppstartsmenyen). Press 'e' tasten i GRUB-menyen for å se hvilke kjerner menyvalgene starter .

Slik fjerner du gamle kjerner:
/boot katalogen kan etterhvert inneholde mange gamle kjerner og hver av disse kan ha oppføring i GRUB-menyen.

Jeg pleier å gjøre dette i Ubuntu-Linux for å fjerne overflødige, gamle kjerner.
Først, list alle installerte kjerner og kjernens kildekodefiler (header* og source* filer).
$ dpkg -l | grep linux | grep ^ii
Kode: Merk alt
$ dpkg -l | grep linux | grep ^ii
ii  linux-headers-2.6.31-15               2.6.31-15.50     Header files related to Linux kernel version 2.6.31
ii  linux-headers-2.6.31-16               2.6.31-16.53     Header files related to Linux kernel version 2.6.31
ii  linux-headers-2.6.31-17               2.6.31-17.54     Header files related to Linux kernel version 2.6.31
ii  linux-headers-2.6.31-19               2.6.31-19.56     Header files related to Linux kernel version 2.6.31
ii  linux-headers-2.6.31-20               2.6.31-20.58     Header files related to Linux kernel version 2.6.31
ii  linux-image-2.6.31-15-generic         2.6.31-15.50 Linux kernel image for version 2.6.31 on x86/x86_64
ii  linux-image-2.6.31-16-generic         2.6.31-16.53 Linux kernel image for version 2.6.31 on x86/x86_64
ii  linux-image-2.6.31-17-generic         2.6.31-17.54 Linux kernel image for version 2.6.31 on x86/x86_64
ii  linux-image-2.6.31-19-generic         2.6.31-19.56 Linux kernel image for version 2.6.31 on x86/x86_64
ii  linux-image-2.6.31-20-generic         2.6.31-20.58 Linux kernel image for version 2.6.31 on x86/x86_64

Jeg kan fjerne alle linux-headers-2.6.31-15 ... linux-headers-2.6.31-19 og linux-image-2.6.31-15-generic ... linux-image-2.6.31-19-generic. Kjerne nummer 20 er den aktuelle jeg kjører. Den vil jeg beholde.

Denne kommando vil slette kjernen i Debian/Ubuntu-Linux
$ sudo apt-get remove linux-headers-2.6.31-14 linux-image-2.6.31-14-generic

Merk. Den vil også automastisk modifisere og fjerne menylinjen fra GRUB-menyen.
Se din /boot/grub/grub.cfg fila.

Du kan selvklart bruke din pakkehåndterer/GUI for å fjerne gamle kjerner istedet for kommandolinjen.
---
EDIT: Nyhet... om Novells og RedHats håndtering av kerneloppdateringer.

Erfaren
Brukerens avatar
medlem i 181 måneder
 

Re: oppdatering

Innleggav terjejh » tor 20.05.2010 17:32

SUSE Oppdatering (Update) forutsetter at installasjonen er registrert og en oppdateringsserver er satt opp. Dette foreslår SUSE gjøres automatisk under installasjonen og krever en nettforbindelse. Hvis man først får nettforbindelse senere eller av andre årsaker ønsker å utsette oppsett av av Online Update, kan oppsettet gjøres når som helst senere, som vist nedenfor.

SUSE bruker delta-rpm for minst mulig pakkestørrelse, rask nedlasting og mest effektive oppdatering. Dvs. bare det som er endret (patchet) ligger i delta-pakken, pakkes ut og installeres. Kjerneversjoner oppdateres som også foran nevnt likt andre pakkeoppdateringer. Som for oppdatering av selve oppdateringssystemet eller pakkehåndterer, kreves her omstart etterpå. SUSE fjerner normalt selv tidligere kjerneversjoner etter oppdateringen.

SUSE Oppdatering (1) er basert på PackageKit og er så visuell og enkel brukermessig som vel mulig. Både arbeidsstasjon og servere har samme fleksibilitet i valg av metode/verktøy, både gui og cli-baserte. Både nye brukere og andre kan godt holde seg til og greie seg med den vanligste, standardmetoden (1) for oppdatering.

For interesserte tar jeg likevel med alternative metoder for SUSE oppdatering (2-4) nedenfor eksemplifisert med skjermbilder. Denne fleksibiliteten må oppfattes som en styrke og fordel og ikke som økt kompleksistet. Man kan som nevnt alltid begrense seg til å gjøre det så enkelt som kun metode 1, så lenge man foretrekker det.

    1) SUSE Oppdatering (Update applet)
    2) YaST Online Oppdatering (YOU)
    3) YaST Pakkehåndtering
    4) zypper (terminalbasert)

For fjernadministrasjon av SLE-/OES2server på kontoret, kan man eksempelvis hjemmefra kombinere openVPN/ssh i terminal og starte de X-baserte yast2 verktøyene, eller bruke NX, eller bruke zypper eller bruke den nye WebYaST via nettleser.


1) SUSE Oppdatering

Når SUSE oppdatering søker og finner oppdatering tilgjengelig, popper en rød-orange SUSE Update applet opp i varslingsfeltet på Gnome eller KDE panelet med melding som følger:

Bilde

Installasjon velges, gi root-passord og utførelse osm følger:

Bilde
Bilde

SUSE Oppdatering settes opp fra kontrollsenteret (hvis ikke utført under installasjonen):
Bilde
Bilde

SUSE Oppdatering kan også startes og sjekkes manuelt fra kontrollsenteret
Bilde


2) YaST Online Oppdatering (YOU)

YOU er den tradisjonelle (tidligere) SUSE oppdateringsmetoden integrert med egne verktøy under YaST2>Programvare kontrollsenteret

Oppsett av YaST Online oppdatering (YOU) gjøres fra YaST>Programvare (eks. registreres her openSUSE/SLE lisenskoder) eller startes som root i en terminal
Kode: Merk alt
# yast2 online_update_configuration

Bilde

YaST Online Oppdatering kan startes manuelt fra YaST>Programvare kontrollsenteret eller som root i en terminal
Kode: Merk alt
# yast2 online_update

Bilde


3) YaST Pakkehåndtering

YaST pakkehåndtereren startes fra YaST>Programvare eller som root i en terminal (--qt for å starte qt-versjonen fra Gnome). Her kan velges menyen
Pakke>Alle Pakker>Oppgrader_hvis_nyere_versjon_er_tilgjengelig
Kode: Merk alt
# yast2 sw_single --qt

Bilde


4) zypper (terminalbasert)

zypper er SUSE's nyeste kommandolinjeverktøy som kraftfullt kan oppdatere både pakker og hele distribusjonen fra en versjon til en annen. Har man først begynt å bruke zypper fra terminal, fortsetter man gjerne med det. YOU's visuelle gui kan likevel fortrinnsvis kombineres med zypper om det blir nødvendig å løse pakkeversjonskonflikter/avhengigheter, eller buke YaST for å rydde opp og legge til i programvarearkiver.

'zypper up' fra terminal som root finner og oppdaterer pakker
Kode: Merk alt
linux-sca0:/home/terje # zypper up
Laster arkivdata...
Leser installerte pakker...

The following package updates will NOT be installed:
  evolution-data-server ksmolt libakonadiprotocolinternals1 libcurl4 libidn libidn-32bit libkde4 libkdecore4
  libphonon4 libqt4-32bit libqt4-sql-32bit libqt4-sql-mysql-32bit libqt4-sql-postgresql-32bit
  libqt4-sql-sqlite-32bit libqt4-sql-unixODBC-32bit libsoprano4 libstrigi0 mhash python-coherence python-gdata
  python-gobject2 python-httplib2 python-kde4 python-lxml python-numpy python-opengl python-qt4 python-setuptools
  python-simplejson python-sip taglib

Følgende pakker vil bli oppgradert:
  fuse java-1_6_0-openjdk java-1_6_0-openjdk-plugin libakonadi4 libfuse2 libkdepimlibs4 libmysqlclient_r16
  libmysqlclient_r16-32bit libpng12-0 libpng12-0-32bit libpng-devel libpng-devel-32bit libpython2_6-1_0
  libpython2_6-1_0-32bit libqt4 libqt4-qt3support libqt4-sql libqt4-sql-sqlite libqt4-x11 libQtWebKit4
  ncpfs-32bit openSUSE-build-key pdftk python python-32bit python-base python-base-32bit python-tk python-xml tar
  unscd xorg-x11-libXext xorg-x11-libXext-32bit xorg-x11-libXext-devel

34 pakker som skal oppgraderes.
Total nedlastingsstørrelse: 59,4 MiB. Etter handlingen vil ytterligere 436,0 KiB bli tatt i bruk.
Vil du fortsette? [y/n/?] (y):


'zypper dup' for å oppgradere pakker med leverandørskifte og ved distro-oppgradering. Finner derfor her flere pakker (63) for oppdatering enn ovenfor metoder (34)
Kode: Merk alt
linux-sca0:/home/terje # zypper dup
Advarsel: Du er i ferd med å oppgradere distribusjonen med alle aktiverte arkiver. Kontroller at alle arkiver er kompatible før du fortsetter. Du finner mer informasjon om denne kommandoen under 'man zypper'.
Laster arkivdata...
Leser installerte pakker...
Beregner distribusjonsoppgradering...

Følgende NYE pakker vil bli installert:
  libattica0 libcares2 libksuseinstall1 libqca2 ptools

Følgende pakker vil bli oppgradert:
  fuse java-1_6_0-openjdk java-1_6_0-openjdk-plugin ksmolt libakonadi4 libakonadiprotocolinternals1 libcurl4
  libfuse2 libidn libidn-32bit libkde4 libkdecore4 libkdepimlibs4 libmysqlclient_r16 libmysqlclient_r16-32bit
  libphonon4 libpng12-0 libpng12-0-32bit libpng-devel libpng-devel-32bit libpython2_6-1_0 libpython2_6-1_0-32bit
  libqt4 libqt4-32bit libqt4-qt3support libqt4-sql libqt4-sql-32bit libqt4-sql-mysql-32bit
  libqt4-sql-postgresql-32bit libqt4-sql-sqlite libqt4-sql-sqlite-32bit libqt4-sql-unixODBC-32bit libqt4-x11
  libQtWebKit4 libsoprano4 libstrigi0 mhash ncpfs-32bit openSUSE-build-key pdftk python python-32bit python-base
  python-base-32bit python-coherence python-gdata python-gobject2 python-httplib2 python-kde4 python-lxml
  python-opengl python-qt4 python-setuptools python-simplejson python-sip python-tk python-xml taglib tar unscd
  xorg-x11-libXext xorg-x11-libXext-32bit xorg-x11-libXext-devel

Følgende pakke vil få endret arkitektur:
  python-coherence  x86_64 -> noarch


Følgende pakker vil endre produsent:
  ksmolt                        openSUSE -> obs://build.opensuse.org/KDE                   
  libakonadiprotocolinternals1  openSUSE -> obs://build.opensuse.org/KDE                   
  libcurl4                      openSUSE -> obs://build.opensuse.org/devel:libraries:c_c++
  libidn                        openSUSE -> obs://build.opensuse.org/devel:libraries:c_c++
  libidn-32bit                  openSUSE -> obs://build.opensuse.org/devel:libraries:c_c++
  libkde4                       openSUSE -> obs://build.opensuse.org/KDE                   
  libkdecore4                   openSUSE -> obs://build.opensuse.org/KDE                   
  libphonon4                    openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-32bit                  openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-sql-32bit              openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-sql-mysql-32bit        openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-sql-postgresql-32bit   openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-sql-sqlite-32bit       openSUSE -> obs://build.opensuse.org/KDE                   
  libqt4-sql-unixODBC-32bit     openSUSE -> obs://build.opensuse.org/KDE                   
  libsoprano4                   openSUSE -> obs://build.opensuse.org/KDE                   
  libstrigi0                    openSUSE -> obs://build.opensuse.org/KDE                   
  mhash                         openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-coherence              openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-gdata                  openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-gobject2               openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-httplib2               openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-kde4                   openSUSE -> obs://build.opensuse.org/KDE                   
  python-lxml                   openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-opengl                 openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-qt4                    openSUSE -> obs://build.opensuse.org/KDE                   
  python-setuptools             openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-simplejson             openSUSE -> obs://build.opensuse.org/devel:languages:python
  python-sip                    openSUSE -> obs://build.opensuse.org/KDE                   
  taglib                        openSUSE -> obs://build.opensuse.org/KDE                   

63 pakker som skal oppgraderes, 5 nye, 29  med endret leverandør, 1 med endret ark..
Total nedlastingsstørrelse: 81,9 MiB. Etter handlingen vil ytterligere 10,7 MiB bli tatt i bruk.
Vil du fortsette? [y/n/?] (y):


Referanselenker
http://en.opensuse.org/KDE_Updater_Applet
http://en.opensuse.org/YaST/Modules/Online_Update
http://en.opensuse.org/Zypper/Usage

Erfaren
Brukerens avatar
medlem i 162 måneder
 

Re: oppdatering

Innleggav Philip67 » tor 20.05.2010 18:49

Jeg har ikke problem med å oppdatere med zypper ,men når jeg jobber med yast og software update får jeg denne feil meldingen
http://www.freeimagehosting.net/image.p ... cfd296.png

Vet dere hva som er problem?

Brukerens avatar
medlem i 116 måneder
 

Re: oppdatering

Innleggav josi » tor 20.05.2010 22:13

Er pakken 'packagekit' installert?
Hvis ikke, kan du jo prøve å installere den og se om feilmeldingen forsvinner.

Brukerens avatar
medlem i 150 måneder
 

Re: oppdatering

Innleggav Philip67 » tor 20.05.2010 22:19

Nei,det er ikke.Når jeg vil installere den får jeg andre feil melding.

Brukerens avatar
medlem i 116 måneder
 

Re: oppdatering

Innleggav terjejh » tor 20.05.2010 22:23

Det synes som et rettighetsproblem som at PackageKit pakken som allerede er installert er merket Behold eller Beskyttet.

Prøv å starte YaST pakkebehandler (jfr. pkt. 3 ovenfor), søk opp den aktuelle pakken PackageKit. Du skal også her kunne se tilgjengelig ny versjon og installert versjonsnr.

Høyreklikk på PackageKit og merk den med Oppgraderings symbolet. Går ikke det kan du alternativt først prøve å fjerne Behold (hake) eller Beskyttet merket (hengelås) og så sette på Oppdateringsmerke. Deretter velg Bekreft og pakken skal installeres.

Følgende skjermbilde er bare en illustrasjon, fordi jeg allerede her har Packagekit oppgradert på min x86 maskin her

Bilde

Edit:
Til det siste, sjekk enten som på skjermbildet ovenfor eller i en terminal som root hvilke 'packagekit' pakker du har installert. Mitt tilfelle er fra Gnome, for KDE finner du antagelig 'kupdateapplet-packagekit'
Kode: Merk alt
terje@linux-edtx:~> rpm -q PackageKit
PackageKit-0.5.1-3.8.1.i586

terje@linux-edtx:~> rpm -qa | grep packagekit
gnome-packagekit-2.28.2-3.4.i586
gnome-packagekit-lang-2.28.2-3.4.noarch
libpackagekit-glib12-0.5.1-62.3.i586

Erfaren
Brukerens avatar
medlem i 162 måneder
 

Re: oppdatering

Innleggav Philip67 » tor 20.05.2010 23:02

Jeg har installerte og oppgradert PackageKit nå ,men jeg får en fei melding til når jeg vil oppgradere
Subprocess failed. Error: RPM failed: error: package yast2-pkg-bindings-2.18.11-1.1.4.x86_64 is not installed

Brukerens avatar
medlem i 116 måneder
 

Re: oppdatering

Innleggav terjejh » tor 20.05.2010 23:08

Marker radioknappen for å installere også denne avhengige pakken i YaST meldingsvinduet. (Alternativt søk den opp med YaST pakkebehandleren og installer den) ;)

Erfaren
Brukerens avatar
medlem i 162 måneder
 


Returner til Tips og triks / Favoritter



Hvem er i Forumene

Registrerte brukere: Google [Bot]